Package org.apache.batchee.tools.maven

## Class BatchEEMojoBase

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.batchee.tools.maven.BatchEEMojoBase

- All Implemented Interfaces:
    `org.apache.maven.plugin.ContextEnabled`, `org.apache.maven.plugin.Mojo`
  Direct Known Subclasses:
    `AbandonMojo`, `JobActionMojoBase`, `JobExecutionMojoBase`, `JobInstanceCountMojo`, `JobInstanceMojo`, `JobInstancesMojo`, `JobNamesMojo`, `ParametersMojo`, `RunningExecutionsMojo`, `StepExecutionsMojo`, `StopMojo`

      public abstract class BatchEEMojoBase
      extends org.apache.maven.plugin.AbstractMojo

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected javax.batch.operations.JobOperator` | `operator` |
    `protected Map<String,​String>` | `properties` | the BatchEE properties when executed locally

    - ### Fields inherited from interface org.apache.maven.plugin.Mojo

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BatchEEMojoBase()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected javax.batch.operations.JobOperator` | `getOrCreateOperator()` |

    - ### Methods inherited from class org.apache.maven.plugin.AbstractMojo

      `getLog, getPluginContext, setLog, setPluginContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.maven.plugin.Mojo

      `execute`

- - ### Field Detail

    - #### properties

          @Parameter
          protected Map<String,​String> properties

      the BatchEE properties when executed locally

    - #### operator

          protected volatile javax.batch.operations.JobOperator operator

  - ### Constructor Detail

    - #### BatchEEMojoBase

          public BatchEEMojoBase()

  - ### Method Detail

    - #### getOrCreateOperator

          protected javax.batch.operations.JobOperator getOrCreateOperator()